## ros-melodic-hls-lfcd-lds-driver 1.1.1

=== CMakeLists.txt ===
################################################################################
# Set minimum required version of cmake, project name and compile options
################################################################################
cmake_minimum_required(VERSION 2.8.3)
project(hls_lfcd_lds_driver)

################################################################################
# Find catkin packages and libraries for catkin and system dependencies
################################################################################
find_package(catkin REQUIRED COMPONENTS
  roscpp
  std_msgs
  sensor_msgs
)

find_package(Boost REQUIRED)

################################################################################
# Setup for python modules and scripts
################################################################################

################################################################################
# Declare ROS messages, services and actions
################################################################################

################################################################################
## Declare ROS dynamic reconfigure parameters
################################################################################

################################################################################
# Declare catkin specific configuration to be passed to dependent projects
################################################################################
catkin_package(
  INCLUDE_DIRS include
  CATKIN_DEPENDS roscpp std_msgs sensor_msgs
  DEPENDS Boost
)

################################################################################
# Build
################################################################################
include_directories(
  include
  ${catkin_INCLUDE_DIRS}
  ${Boost_INCLUDE_DIRS}
)

add_executable(hlds_laser_publisher	src/hlds_laser_publisher.cpp)
add_dependencies(hlds_laser_publisher ${${PROJECT_NAME}_EXPORTED_TARGETS} ${catkin_EXPORTED_TARGETS})
target_link_libraries(hlds_laser_publisher ${catkin_LIBRARIES} ${Boost_LIBRARIES})

add_executable(hlds_laser_segment_publisher	src/hlds_laser_segment_publisher.cpp)
add_dependencies(hlds_laser_segment_publisher ${${PROJECT_NAME}_EXPORTED_TARGETS} ${catkin_EXPORTED_TARGETS})
target_link_libraries(hlds_laser_segment_publisher ${catkin_LIBRARIES} ${Boost_LIBRARIES})

################################################################################
# Install
################################################################################
install(TARGETS hlds_laser_publisher hlds_laser_segment_publisher
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

install(DIRECTORY include/${PROJECT_NAME}/
  DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
)

install(DIRECTORY launch rviz
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

################################################################################
# Test
################################################################################

=== debian/changelog ===
ros-melodic-hls-lfcd-lds-driver (1.1.1-1stretch) stretch; urgency=high

  * ROS 1 Noetic Ninjemys support
  * Contributors: Will Son

 -- Will Son <willson@robotis.com>  Sun, 12 Jul 2020 15:00:00 -0000

ros-melodic-hls-lfcd-lds-driver (1.1.0-1stretch) stretch; urgency=high

  * added lpthread library in Makefile
  * added CI for ROS melodic
  * modified hlds_laser_segment_publisher
  * Contributors: Gilbert, Pyo

 -- Pyo <pyo@robotis.com>  Tue, 22 Jan 2019 15:00:00 -0000

ros-melodic-hls-lfcd-lds-driver (1.0.0-1stretch) stretch; urgency=high

  * modified max-range to avoid fencepost error.
  * merged pull request #27 <https://github.com/ROBOTIS-GIT/hls_lfcd_lds_driver/issues/27> from skasperski/master
    Corrected max-range to avoid fencepost error.
  * merged pull request #29 <https://github.com/ROBOTIS-GIT/hls_lfcd_lds_driver/issues/29> #28 <https://github.com/ROBOTIS-GIT/hls_lfcd_lds_driver/issues/28> #24 <https://github.com/ROBOTIS-GIT/hls_lfcd_lds_driver/issues/24>
  * Contributors: Gilbert, Sebastian Kasperski, Pyo

 -- Pyo <pyo@robotis.com>  Mon, 28 May 2018 15:00:00 -0000

ros-melodic-hls-lfcd-lds-driver (0.1.5-1stretch) stretch; urgency=high

  * added non-ROS applications for LDS (linux, windows, mac)
  * added a link for e-Manual
  * added .travis.yml for Travis CI
  * modified for firmware upgrade
  * refactoring for release
  * Contributors: Darby Lim, Pyo

 -- Pyo <pyo@robotis.com>  Tue, 13 Mar 2018 15:00:00 -0000

ros-melodic-hls-lfcd-lds-driver (0.1.4-1stretch) stretch; urgency=high

  * modify to stop motor of LDS
  * delete unused lfcdstartstop arg of LFCDLaser. Fix an exception error.
  * merge pull request #8 <https://github.com/ROBOTIS-GIT/hls_lfcd_lds_driver/issues/8> from hara-y/stop_motor_in_dtor
  * fixed code format
  * Contributors: Yoonseok Pyo, Yoshitaka HARA

 -- Pyo <pyo@robotis.com>  Wed, 13 Sep 2017 15:00:00 -0000

ros-melodic-hls-lfcd-lds-driver (0.1.3-1stretch) stretch; urgency=high

  * fixed a bug of beam index [0, 0, 1, ..., 358] > [0, 1, 2, ..., 359]
  * merge pull request #7 <https://github.com/ROBOTIS-GIT/hls_lfcd_lds_driver/pull/7> from hara-y
  * Contributors: Darby Lim, Yoshitaka HARA

 -- Pyo <pyo@robotis.com>  Thu, 17 Aug 2017 15:00:00 -0000

ros-melodic-hls-lfcd-lds-driver (0.1.2-1stretch) stretch; urgency=high

  * modified the timing to take a timestamp for sync the scan and odom
  * added a hlds_laser_segment_publisher node
  * Contributors: Pyo

 -- Pyo <pyo@robotis.com>  Sun, 23 Apr 2017 15:00:00 -0000

ros-melodic-hls-lfcd-lds-driver (0.1.1-1stretch) stretch; urgency=high

  * modified the package name and related codes
  * added a ROS package for HLDS Laser Distance Sensor
  * Contributors: JH Yang, SP Kong, Pyo

 -- Pyo <pyo@robotis.com>  Mon, 05 Dec 2016 15:00:00 -0000

=== debian/control ===
Source: ros-melodic-hls-lfcd-lds-driver
Section: misc
Priority: optional
Maintainer: Will Son <willson@robotis.com>
Build-Depends: debhelper (>= 9.0.0), libboost-all-dev, ros-melodic-catkin, ros-melodic-roscpp, ros-melodic-sensor-msgs, ros-melodic-std-msgs
Homepage: http://wiki.ros.org/hls_lfcd_lds_driver
Standards-Version: 3.9.2

Package: ros-melodic-hls-lfcd-lds-driver
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libboost-all-dev, ros-melodic-roscpp, ros-melodic-sensor-msgs, ros-melodic-std-msgs
Description: ROS package for LDS(HLS-LFCD2).
 The LDS (Laser Distance Sensor) is a sensor sending the data to Host for the simultaneous localization and mapping (SLAM). Simultaneously the detecting obstacle data can also be sent to Host. HLDS(Hitachi-LG Data Storage) is developing the technology for the moving platform sensor such as Robot Vacuum Cleaners, Home Robot, Robotics Lawn Mower Sensor, etc.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/melodic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/melodic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/melodic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-melodic-hls-lfcd-lds-driver//opt/ros/melodic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_install

## ros-melodic-hls-lfcd-lds-driver 1.1.2

=== applications/lds_driver/Makefile ===
DIR_ROOT  = ../

CC 				= gcc
CX 				= g++
CCFLAGS		= -Wall -c
CXFLAGS 	= -Wall -c
CP     		= cp
CP_ALL  	= cp -r
RM        = rm
RM_ALL    = rm -f
SRCS			= lds_driver.cpp
OBJS			= lds_driver.o
LIB_DIRS	= -L/usr/lib/x86_64-linux-gnu
INC_DIRS  = -I/usr/include
LIBS      = -lboost_system -lpthread
TARGET 	  = lds_driver

all : $(TARGET)
	$(CXX) -o $(TARGET) $(OBJS) $(INC_DIRS) $(LIB_DIRS) $(LIBS) 
 
$(TARGET) :
	$(CXX) -c $(SRCS) $(INC_DIRS) $(LIB_DIRS) $(LIBS) 

clean:
	$(RM_ALL) $(OBJS) $(TARGET)

=== debian/changelog ===
ros-melodic-hls-lfcd-lds-driver (1.1.2-1bionic) bionic; urgency=high

  * fix LDS data issue
  * Contributors: Will Son

 -- Will Son <willson@robotis.com>  Thu, 15 Apr 2021 15:00:00 -0000

ros-melodic-hls-lfcd-lds-driver (1.1.1-1bionic) bionic; urgency=high

  * ROS 1 Noetic Ninjemys support
  * Contributors: Will Son

 -- Will Son <willson@robotis.com>  Sun, 12 Jul 2020 15:00:00 -0000

ros-melodic-hls-lfcd-lds-driver (1.1.0-1bionic) bionic; urgency=high

  * added lpthread library in Makefile
  * added CI for ROS melodic
  * modified hlds_laser_segment_publisher
  * Contributors: Gilbert, Pyo

 -- Pyo <pyo@robotis.com>  Tue, 22 Jan 2019 15:00:00 -0000

ros-melodic-hls-lfcd-lds-driver (1.0.0-1bionic) bionic; urgency=high

  * modified max-range to avoid fencepost error.
  * merged pull request #27 <https://github.com/ROBOTIS-GIT/hls_lfcd_lds_driver/issues/27> from skasperski/master
    Corrected max-range to avoid fencepost error.
  * merged pull request #29 <https://github.com/ROBOTIS-GIT/hls_lfcd_lds_driver/issues/29> #28 <https://github.com/ROBOTIS-GIT/hls_lfcd_lds_driver/issues/28> #24 <https://github.com/ROBOTIS-GIT/hls_lfcd_lds_driver/issues/24>
  * Contributors: Gilbert, Sebastian Kasperski, Pyo

 -- Pyo <pyo@robotis.com>  Mon, 28 May 2018 15:00:00 -0000

ros-melodic-hls-lfcd-lds-driver (0.1.5-1bionic) bionic; urgency=high

  * added non-ROS applications for LDS (linux, windows, mac)
  * added a link for e-Manual
  * added .travis.yml for Travis CI
  * modified for firmware upgrade
  * refactoring for release
  * Contributors: Darby Lim, Pyo

 -- Pyo <pyo@robotis.com>  Tue, 13 Mar 2018 15:00:00 -0000

ros-melodic-hls-lfcd-lds-driver (0.1.4-1bionic) bionic; urgency=high

  * modify to stop motor of LDS
  * delete unused lfcdstartstop arg of LFCDLaser. Fix an exception error.
  * merge pull request #8 <https://github.com/ROBOTIS-GIT/hls_lfcd_lds_driver/issues/8> from hara-y/stop_motor_in_dtor
  * fixed code format
  * Contributors: Yoonseok Pyo, Yoshitaka HARA

 -- Pyo <pyo@robotis.com>  Wed, 13 Sep 2017 15:00:00 -0000

ros-melodic-hls-lfcd-lds-driver (0.1.3-1bionic) bionic; urgency=high

  * fixed a bug of beam index [0, 0, 1, ..., 358] > [0, 1, 2, ..., 359]
  * merge pull request #7 <https://github.com/ROBOTIS-GIT/hls_lfcd_lds_driver/pull/7> from hara-y
  * Contributors: Darby Lim, Yoshitaka HARA

 -- Pyo <pyo@robotis.com>  Thu, 17 Aug 2017 15:00:00 -0000

ros-melodic-hls-lfcd-lds-driver (0.1.2-1bionic) bionic; urgency=high

  * modified the timing to take a timestamp for sync the scan and odom
  * added a hlds_laser_segment_publisher node
  * Contributors: Pyo

 -- Pyo <pyo@robotis.com>  Sun, 23 Apr 2017 15:00:00 -0000

ros-melodic-hls-lfcd-lds-driver (0.1.1-1bionic) bionic; urgency=high

  * modified the package name and related codes
  * added a ROS package for HLDS Laser Distance Sensor
  * Contributors: JH Yang, SP Kong, Pyo

 -- Pyo <pyo@robotis.com>  Mon, 05 Dec 2016 15:00:00 -0000
